--- courier-authlib-0.58/preauthvchkpw.c	2006-10-16 16:16:32.000000000 +0800
+++ courier-authlib-0.58-fullvpopmail/preauthvchkpw.c	2006-06-30 15:28:26.000000000 +0800
@@ -120,6 +120,9 @@
 		}
 	}
 
+static char Maildir[256];
+	sprintf(Maildir, "%s/Maildir/", vpw->pw_dir);
+
 	snprintf(options, sizeof(options),
 		"disablewebmail=%d,disablepop3=%d,disableimap=%d",
                 vpw->pw_flags & NO_WEBMAIL ? 1 : 0,
@@ -148,6 +151,7 @@
 	auth.sysuserid		= &uid;
 	auth.sysgroupid		= gid;
 	auth.homedir		= vpw->pw_dir;
+	auth.maildir		= Maildir;
 	auth.address		= userid;
 	auth.fullname		= vpw->pw_gecos;
 	auth.passwd		= vpw->pw_passwd;
